{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, memberof\r\ndeclare subroutine rlist\r\n$insert rlist_equates\r\n\r\nSelpos = .rej_info->selpos\r\nColumn = SelPos<1>\r\nRow    = SelPos<2>\r\nColData = get_property( @window:'.REJ_INFO', 'COLDATA' )\r\nbegin case\r\n    case Column = 2 ;* loss codes\r\n       PopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_LOSS_CODES' )\r\n       RetCode = repository( 'EXECUTE', PopupRec, @window, '' )\r\n       if RetCode <> '' then\r\n          ColData<1,Row> = RetCode\r\n          Void = set_property( @window:'.REJ_INFO', 'COLDATA', ColData )\r\n       end\r\n    case Column = 4 ;* assignable cause\r\n       if memberof( @user4, 'SUPERVISOR' ) then\r\n          Stmt = 'SELECT ASSIGN_CAUSE WITH STATUS = \"A\" BY DESIG_ERR_GRP_DESC BY ASSIGN_CAUSE_DESC'\r\n          rlist( Stmt, target_activelist$, '', '', '' )\r\n          PopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_ASSIGN_CAUSE' )\r\n          RetCause = repository( 'EXECUTE', PopupRec, @window, OverRide )\r\n          if RetCause <> '' then\r\n             ColData<1,Row> = RetCause\r\n             Void = set_property( @window:'.REJ_INFO', 'COLDATA', ColData )\r\n          end\r\n       end\r\n    case Otherwise$\r\nend case\r\nRETURN 0"
        }
    }
}